package speiger.src.coreengine.rendering.guiOld;

import speiger.src.coreengine.assets.AssetLocation;
import speiger.src.coreengine.rendering.texturesOld.base.ITexture;

public class UITextures
{
	public static final AssetLocation TEXTURE_LOCATION = AssetLocation.of("textures");
	
	public static final ITexture COLOR_WHEEL = ITexture.simple(sub("colorWheel.png")).makeReloadable();
	
	
	public static ITexture createReloadable(String name) {
		return ITexture.simple(sub(name)).makeReloadable();
	}
	
	public static ITexture create(String name) {
		return ITexture.simple(sub(name));
	}
	
	public static AssetLocation sub(String name) {
		return TEXTURE_LOCATION.subAsset(name);
	}
}
